Page MenuHomePhabricator

Formatting wrong in enhanced recent changes/watchlist when RTL text is the last in the edit summary (not in IE)
Closed, ResolvedPublic

Description

Author: Beetstra.wiki

Description:
In Opera (version 9.01, build 8552, Sun java 1.5, Win32 XP), when a line with Hebrew text is shown in
the watchlist (maybe these specific characters), it 'breaks' at the end of the Hebrew text, resulting in
the next line to be formatted wrongly. In the history of the page, the formatting is OK.

What I see, begins with a normal line (no triangle, a 'm', the time, "Silicon"), that ends after the
Hebrew text (after the last character here: צורן), so you don't see the closing ")", the next line
begins with: 10:24, a tab, the triangle (so these are wrong way around), and then resumes normally with
the next item "Organic chemistry".

The source for the line in the watchlist (with the item before it, and the 2 items after it) and the
line in the history are shown below (sorry, they are a bit long):

Line in watchlist:
<span id="RCM26"><a href="javascript:toggleVisibility('RCI26','RCM26','RCL26')"><img src="/skins-
1.5/common/images/Arr_r.png" width="12" height="12" alt="+" /></a></span><span id="RCL26"
style="display:none"><a href="javascript:toggleVisibility('RCI26','RCM26','RCL26')"><img src="/skins-
1.5/common/images/Arr_d.png" width="12" height="12" alt="-" /></a></span><tt>&nbsp;&nbsp;&nbsp;&nbsp;
10:36 </tt><a href="/wiki/Bromothymol_blue" title="Bromothymol blue">Bromothymol blue</a>‎ (2 <a
href="/w/index.php?title=Bromothymol_blue&amp;curid=462612&amp;diff=87315302&amp;oldid=87094476"
title="Bromothymol blue">changes</a>; <a href="/w/index.php?
title=Bromothymol_blue&amp;curid=462612&amp;action=history" title="Bromothymol blue">Page history</a>)
<span class="changedby">[<a href="/w/index.php?title=Special:Contributions&amp;target=132.66.52.72"
title="Special:Contributions">132.66.52.72</a>‎; <a href="/w/index.php?
title=Special:Contributions&amp;target=220.239.77.32" title="Special:Contributions">220.239.77.32</a>‎]
</span><br />
<div id="RCI26" style="display:none"><img src="/skins-1.5/common/images/Arr_.png" width="12" height="12"
alt=" " /><tt>&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt><tt><a href="/w/index.php?
title=Bromothymol_blue&amp;curid=462612&amp;oldid=87315302" title="Bromothymol blue">10:36</a></tt> (<a
href="/w/index.php?title=Bromothymol_blue&amp;curid=462612&amp;diff=0&amp;oldid=87315302"
title="Bromothymol blue" tabindex="74">cur</a>; <a href="/w/index.php?
title=Bromothymol_blue&amp;curid=462612&amp;diff=87315302&amp;oldid=87313750" title="Bromothymol
blue">last</a>) . . <a href="/w/index.php?title=Special:Contributions&amp;target=132.66.52.72"
title="Special:Contributions">132.66.52.72</a> (<a href="/w/index.php?
title=User_talk:132.66.52.72&amp;action=edit" class="new" title="User talk:132.66.52.72">Talk</a>) <span
class="comment">(page was corrupted)</span><br />
<img src="/skins-1.5/common/images/Arr_.png" width="12" height="12" alt=" " /><tt>&nbsp; &nbsp; &nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt><tt><a href="/w/index.php?
title=Bromothymol_blue&amp;curid=462612&amp;oldid=87313750" title="Bromothymol blue">10:19</a></tt> (<a
href="/w/index.php?title=Bromothymol_blue&amp;curid=462612&amp;diff=0&amp;oldid=87313750"
title="Bromothymol blue" tabindex="85">cur</a>; <a href="/w/index.php?
title=Bromothymol_blue&amp;curid=462612&amp;diff=87313750&amp;oldid=87094476" title="Bromothymol
blue">last</a>) . . <a href="/w/index.php?title=Special:Contributions&amp;target=220.239.77.32"
title="Special:Contributions">220.239.77.32</a> (<a href="/w/index.php?
title=User_talk:220.239.77.32&amp;action=edit" class="new" title="User talk:220.239.77.32">Talk</a>)
<br />
</div>
<img src="/skins-1.5/common/images/Arr_.png" width="12" height="12" alt=" " /><tt>&nbsp;<span
class="minor">m</span>&nbsp;&nbsp; 10:31 </tt><a href="/wiki/Silicon" title="Silicon">Silicon</a> (<a
href="/w/index.php?title=Silicon&amp;curid=27114&amp;diff=87314888&amp;oldid=86624603" title="Silicon"
tabindex="77">diff</a>; <a href="/w/index.php?title=Silicon&amp;curid=27114&amp;action=history"
title="Silicon">hist</a>) . . <a href="/wiki/User:DHN-bot" title="User:DHN-bot">DHN-bot</a> (<a
href="/wiki/User_talk:DHN-bot" title="User talk:DHN-bot">Talk</a> | <a href="/w/index.php?
title=Special:Contributions&amp;target=DHN-bot" title="Special:Contributions">contribs</a>) <span
class="comment">(robot Modifying: <a href="http://he.wikipedia.org/wiki/%D7%A6%D7%95%D7%A8%D7%9F"
class="extiw" title="he:צורן">he:צורן</a>)</span><br />
<span id="RCM27"><a href="javascript:toggleVisibility('RCI27','RCM27','RCL27')"><img src="/skins-
1.5/common/images/Arr_r.png" width="12" height="12" alt="+" /></a></span><span id="RCL27"
style="display:none"><a href="javascript:toggleVisibility('RCI27','RCM27','RCL27')"><img src="/skins-
1.5/common/images/Arr_d.png" width="12" height="12" alt="-" /></a></span><tt>&nbsp;&nbsp;&nbsp;&nbsp;
10:24 </tt><a href="/wiki/Organic_chemistry" title="Organic chemistry">Organic chemistry</a>‎ (4 <a
href="/w/index.php?title=Organic_chemistry&amp;curid=22208&amp;diff=87314189&amp;oldid=87094966"
title="Organic chemistry">changes</a>; <a href="/w/index.php?
title=Organic_chemistry&amp;curid=22208&amp;action=history" title="Organic chemistry">Page history</a>)
<span class="changedby">[<a href="/w/index.php?title=Special:Contributions&amp;target=210.213.140.60"
title="Special:Contributions">210.213.140.60</a>‎; <a href="/w/index.php?
title=User:JianLi&amp;action=edit" class="new" title="User:JianLi">JianLi</a>‎; <a
href="/wiki/User:Bduke" title="User:Bduke">Bduke</a>‎ (2&times;)]</span><br />
<div id="RCI27" style="display:none"><img src="/skins-1.5/common/images/Arr_.png" width="12" height="12"
alt=" " /><tt>&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;<span class="minor">m</span>&nbsp;&nbsp;&nbsp;</tt><tt><a
href="/w/index.php?title=Organic_chemistry&amp;curid=22208&amp;oldid=87314189" title="Organic
chemistry">10:24</a></tt> (<a href="/w/index.php?
title=Organic_chemistry&amp;curid=22208&amp;diff=0&amp;oldid=87314189" title="Organic chemistry"
tabindex="80">cur</a>; <a href="/w/index.php?
title=Organic_chemistry&amp;curid=22208&amp;diff=87314189&amp;oldid=87305982" title="Organic
chemistry">last</a>) . . <a href="/wiki/User:Bduke" title="User:Bduke">Bduke</a> (<a
href="/wiki/User_talk:Bduke" title="User talk:Bduke">Talk</a> | <a href="/w/index.php?
title=Special:Contributions&amp;target=Bduke" title="Special:Contributions">contribs</a>) <span
class="comment">(rv to my last version)</span><br />
<img src="/skins-1.5/common/images/Arr_.png" width="12" height="12" alt=" " /><tt>&nbsp; &nbsp; &nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt><tt><a href="/w/index.php?
title=Organic_chemistry&amp;curid=22208&amp;oldid=87305982" title="Organic chemistry">08:49</a></tt> (<a
href="/w/index.php?title=Organic_chemistry&amp;curid=22208&amp;diff=0&amp;oldid=87305982" title="Organic
chemistry" tabindex="118">cur</a>; <a href="/w/index.php?
title=Organic_chemistry&amp;curid=22208&amp;diff=87305982&amp;oldid=87297878" title="Organic
chemistry">last</a>) . . <a href="/w/index.php?title=Special:Contributions&amp;target=210.213.140.60"
title="Special:Contributions">210.213.140.60</a> (<a href="/w/index.php?
title=User_talk:210.213.140.60&amp;action=edit" class="new" title="User talk:210.213.140.60">Talk</a>)
<span class="comment">(<span class="autocomment"><a
href="/wiki/Organic_chemistry#Description_and_nomenclature" title="Organic chemistry">→</a>Description
and nomenclature</span>)</span><br />
<img src="/skins-1.5/common/images/Arr_.png" width="12" height="12" alt=" " /><tt>&nbsp; &nbsp; &nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt><tt><a href="/w/index.php?
title=Organic_chemistry&amp;curid=22208&amp;oldid=87297878" title="Organic chemistry">07:19</a></tt> (<a
href="/w/index.php?title=Organic_chemistry&amp;curid=22208&amp;diff=0&amp;oldid=87297878" title="Organic
chemistry" tabindex="132">cur</a>; <a href="/w/index.php?
title=Organic_chemistry&amp;curid=22208&amp;diff=87297878&amp;oldid=87290674" title="Organic
chemistry">last</a>) . . <a href="/wiki/User:Bduke" title="User:Bduke">Bduke</a> (<a
href="/wiki/User_talk:Bduke" title="User talk:Bduke">Talk</a> | <a href="/w/index.php?
title=Special:Contributions&amp;target=Bduke" title="Special:Contributions">contribs</a>) <span
class="comment">(rv - it is not widely known as orgo)</span><br />
<img src="/skins-1.5/common/images/Arr_.png" width="12" height="12" alt=" " /><tt>&nbsp; &nbsp; &nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt><tt><a href="/w/index.php?
title=Organic_chemistry&amp;curid=22208&amp;oldid=87290674" title="Organic chemistry">06:17</a></tt> (<a
href="/w/index.php?title=Organic_chemistry&amp;curid=22208&amp;diff=0&amp;oldid=87290674" title="Organic
chemistry" tabindex="143">cur</a>; <a href="/w/index.php?
title=Organic_chemistry&amp;curid=22208&amp;diff=87290674&amp;oldid=87094966" title="Organic
chemistry">last</a>) . . <a href="/w/index.php?title=User:JianLi&amp;action=edit" class="new"
title="User:JianLi">JianLi</a> (<a href="/wiki/User_talk:JianLi" title="User talk:JianLi">Talk</a> | <a
href="/w/index.php?title=Special:Contributions&amp;target=JianLi"
title="Special:Contributions">contribs</a>) <span class="comment">(orgo)</span><br />
</div>
<span id="RCM28"><a href="javascript:toggleVisibility('RCI28','RCM28','RCL28')"><img src="/skins-
1.5/common/images/Arr_r.png" width="12" height="12" alt="+" /></a></span><span id="RCL28"
style="display:none"><a href="javascript:toggleVisibility('RCI28','RCM28','RCL28')"><img src="/skins-
1.5/common/images/Arr_d.png" width="12" height="12" alt="-" /></a></span><tt>&nbsp;&nbsp;&nbsp;&nbsp;
10:24 </tt><a href="/wiki/Chlorothalonil" title="Chlorothalonil">Chlorothalonil</a>‎ (2 <a
href="/w/index.php?title=Chlorothalonil&amp;curid=3586609&amp;diff=87314180&amp;oldid=85750554"
title="Chlorothalonil">changes</a>; <a href="/w/index.php?
title=Chlorothalonil&amp;curid=3586609&amp;action=history" title="Chlorothalonil">Page history</a>)
<span class="changedby">[<a href="/w/index.php?title=User:Tomcrisp7&amp;action=edit" class="new"
title="User:Tomcrisp7">Tomcrisp7</a>‎ (2&times;)]</span><br />
<div id="RCI28" style="display:none"><img src="/skins-1.5/common/images/Arr_.png" width="12" height="12"
alt=" " /><tt>&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt><tt><a href="/w/index.php?
title=Chlorothalonil&amp;curid=3586609&amp;oldid=87314180" title="Chlorothalonil">10:24</a></tt> (<a
href="/w/index.php?title=Chlorothalonil&amp;curid=3586609&amp;diff=0&amp;oldid=87314180"
title="Chlorothalonil" tabindex="81">cur</a>; <a href="/w/index.php?
title=Chlorothalonil&amp;curid=3586609&amp;diff=87314180&amp;oldid=87313951"
title="Chlorothalonil">last</a>) . . <a href="/w/index.php?title=User:Tomcrisp7&amp;action=edit"
class="new" title="User:Tomcrisp7">Tomcrisp7</a> (<a href="/wiki/User_talk:Tomcrisp7" title="User
talk:Tomcrisp7">Talk</a> | <a href="/w/index.php?title=Special:Contributions&amp;target=Tomcrisp7"
title="Special:Contributions">contribs</a>)<br />
<img src="/skins-1.5/common/images/Arr_.png" width="12" height="12" alt=" " /><tt>&nbsp; &nbsp; &nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt><tt><a href="/w/index.php?
title=Chlorothalonil&amp;curid=3586609&amp;oldid=87313951" title="Chlorothalonil">10:22</a></tt> (<a
href="/w/index.php?title=Chlorothalonil&amp;curid=3586609&amp;diff=0&amp;oldid=87313951"
title="Chlorothalonil" tabindex="84">cur</a>; <a href="/w/index.php?
title=Chlorothalonil&amp;curid=3586609&amp;diff=87313951&amp;oldid=85750554"
title="Chlorothalonil">last</a>) . . <a href="/w/index.php?title=User:Tomcrisp7&amp;action=edit"
class="new" title="User:Tomcrisp7">Tomcrisp7</a> (<a href="/wiki/User_talk:Tomcrisp7" title="User
talk:Tomcrisp7">Talk</a> | <a href="/w/index.php?title=Special:Contributions&amp;target=Tomcrisp7"
title="Special:Contributions">contribs</a>) <span class="comment">(add use)</span><br />
</div>

Line in history:
<li>(cur) (<a href="/w/index.php?title=Silicon&amp;diff=87314888&amp;oldid=86624603"
title="Silicon">last</a>) <input type="radio" value="87314888" style="visibility:hidden"
name="oldid" /><input type="radio" value="87314888" checked="checked" name="diff" /> <a
href="/w/index.php?title=Silicon&amp;oldid=87314888" title="Silicon">10:31, 12 November 2006</a> <span
class='history-user'><a href="/wiki/User:DHN-bot" title="User:DHN-bot">DHN-bot</a> (<a
href="/wiki/User_talk:DHN-bot" title="User talk:DHN-bot">Talk</a> | <a href="/w/index.php?
title=Special:Contributions&amp;target=DHN-bot" title="Special:Contributions">contribs</a>)</span> <span
class="minor">m</span> <span class="comment">(robot Modifying: <a href="http://he.wikipedia.org/wiki/%
D7%A6%D7%95%D7%A8%D7%9F" class="extiw" title="he:צורן">he:צורן</a>)</span></li>
<li>(<a href="/w/index.php?title=Silicon&amp;diff=87314888&amp;oldid=86624603" title="Silicon">cur</a>)
(<a href="/w/index.php?title=Silicon&amp;diff=86624603&amp;oldid=86624450" title="Silicon">last</a>)
<input type="radio" value="86624603" checked="checked" name="oldid" /><input type="radio"
value="86624603" name="diff" /> <a href="/w/index.php?title=Silicon&amp;oldid=86624603"
title="Silicon">01:55, 9 November 2006</a> <span class='history-user'><a href="/wiki/User:Coemgenus"
title="User:Coemgenus">Coemgenus</a> (<a href="/wiki/User_talk:Coemgenus" title="User
talk:Coemgenus">Talk</a> | <a href="/w/index.php?title=Special:Contributions&amp;target=Coemgenus"
title="Special:Contributions">contribs</a>)</span> <span class="minor">m</span> <span class="comment">
(Reverted edits by <a href="/wiki/Special:Contributions/24.10.49.56"
title="Special:Contributions/24.10.49.56">24.10.49.56</a> to last version by 192.88.166.35)</span></li>


Version: 1.9.x
Severity: normal

Details

Reference
bz7885

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 9:27 PM
bzimport added a project: MediaWiki-Parser.
bzimport set Reference to bz7885.
bzimport added a subscriber: Unknown Object (MLST).

Beetstra.wiki wrote:

screenshot

Added screenshot

Attached:

rotemliss wrote:

As far as I understand, Unicode standard says the <br /> doesn't break the
direction block, though IE didn't hear about that. Therefore, this behavior is
like that also in Gecko (Mozilla, Firefox): it's not a browser bug, but a
MediaWiki bug.

It seems that <br /> should not be used in the enhanced recent changes view, and
<div> should be used instead. Alternatively, a direction mark could be appended
to the end of the line, though I'd recommend against this way.

Beetstra.wiki wrote:

Addendum: page displays indeed correctly in my IE (6.0.2900.2180)

brion added a comment.May 25 2007, 3:30 PM
  • Bug 10028 has been marked as a duplicate of this bug. ***

ral315 wrote:

Bug 8996 is a similar problem; however, that one specifically deals with one RTL character, the right-to-left override, that causes each subsequent word to appear backwards.

nicdumz wrote:

From what I can tell, the current watchlists do not use <br />s anymore, and I can't reproduce this bug on my local wiki.

Isn't fixed ?

nicdumz wrote:

Screenshot, Firefox 2, fr.wp : Worksforme.

Just tested on fr.wikipedia.org : It is no more a bug; I'm marking it as worksforme

Attached:

brion added a comment.Mar 24 2008, 6:36 PM

Changing from WORKSFORME to FIXED. :) Recent move to table structure would have been the fix here.